Page Summary
-
This document details the process for listing targeting options for a specific type using the Display & Video 360 API v1.
-
The Display & Video 360 API v1 has been sunset.
-
The request is made using an HTTP GET method to a specified URL which utilizes gRPC Transcoding syntax.
-
The type of targeting option to be listed is a required path parameter.
-
The request requires specifying the advertiser ID and allows for pagination, sorting, and filtering of results through query parameters.
- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization Scopes
- Try it!
Lists targeting options of a given type.
HTTP request
GET https://displayvideo.googleapis.com/v1/targetingTypes/{targetingType}/targetingOptions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
targetingType |
Required. The type of targeting option to be listed. Accepted values are:
|
Query parameters
| Parameters | |
|---|---|
advertiserId |
Required. The Advertiser this request is being made in the context of. |
pageSize |
Requested page size. Must be between |
pageToken |
A token identifying a page of results the server should return. Typically, this is the value of |
orderBy |
Field by which to sort the list. Acceptable values are:
The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: |
filter |
Allows filtering by targeting option fields. Supported syntax:
Supported fields:
Examples:
The length of this field should be no more than 500 characters. Reference our filter |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
Response message for targetingOptions.list.
| JSON representation |
|---|
{
"targetingOptions": [
{
object ( |
| Fields | |
|---|---|
targetingOptions[] |
The list of targeting options. This list will be absent if empty. |
nextPageToken |
A token to retrieve the next page of results. Pass this value in the |
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.